%bcond_with python_bootstrap

%global pypi_name sphinxcontrib-jsmath

Summary:       Sphinx extension for math in HTML via JavaScript
Name:          python-%{pypi_name}
Version:       1.0.1
Release:       8%{?dist}
License:       BSD
URL:           http://sphinx-doc.org/
Source0:       %{pypi_source}
BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pytest python%{python3_pkgversion}-sphinx

Patch3000:     fix-path-attribute-text-error.patch 

BuildArch:     noarch

%description
sphinxcontrib-jsmath is a sphinx extension which renders display math in HTML via JavaScript.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        Sphinx extension for math in HTML via JavaScript

%description -n python%{python3_pkgversion}-%{pypi_name}
sphinxcontrib-jsmath is a sphinx extension which renders display math in HTML via JavaScript.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
# just close test when bootstrap build
%if %{without python_bootstrap}
%{__python3} -m pytest
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_jsmath-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_jsmath-%{version}-py%{python3_version}.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Shuo Wang <abushwang@tencent.com> - 1.0.1-5
- add python_bootstrap for python update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 1.0.1-1
- initial build
